<template>
	<view class="cu-modal" :style="{ display: show ? 'show' : '' }">
		<view class="cu-dialog">
			<view class="cu-bar bg-white justify-end">
				<view class="content">{{ title }}</view>
				<view class="action" @tap="hideToast"><text class="cuIcon-close text-red"></text></view>
			</view>
			<view class="padding-xl" v-html="content"></view>
		</view>
	</view>
</template>

<script>
export default {
	name: 'toast',
	props: ['show', 'title', 'content'],
	data() {
		return {};
	},
	onLoad() {},
	methods: {
		hideToast() {
			this.$emit('update:show', false);
		}
	}
};
</script>

<style></style>
